Iir::PoleFilter< BaseClass, StateType, MaxAnalogPoles, MaxDigitalPoles > Struct Template Reference

`#include <PoleFilter.h>`

Inheritance diagram for Iir::PoleFilter< BaseClass, StateType, MaxAnalogPoles, MaxDigitalPoles >:

## Additional Inherited Members

Public Member Functions inherited from Iir::CascadeStages<(MaxAnalogPoles+1)/2, StateType >
void | reset ()
void | setup (const double(&sosCoefficients)[MaxStages][6])
Sample | filter (const Sample in)
const Cascade::Storage | getCascadeStorage ()

## Detailed Description

### template<class BaseClass, class StateType, int MaxAnalogPoles, int MaxDigitalPoles = MaxAnalogPoles>
struct Iir::PoleFilter< BaseClass, StateType, MaxAnalogPoles, MaxDigitalPoles >

Storage for pole filters

The documentation for this struct was generated from the following file:

- iir/PoleFilter.h